For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get supportGet a Demo
  • Get Started
    • Welcome
    • Authorisation
    • Webhooks
  • API Reference
      • GETList participants
      • POSTCreate participant
      • GETGet participant by ID
      • PUTUpdate participant
      • DELDelete participant
LogoLogo
Get supportGet a Demo
API ReferenceParticipants

Update participant

PUT
https://api.caresquareapi.com/api/public/v1/participants/:participant_id
PUT
/api/public/v1/participants/:participant_id
$curl -X PUT https://api.caresquareapi.com/api/public/v1/participants/participant_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "string",
3 "first_name": "string",
4 "last_name": "string",
5 "participant_number": "string",
6 "email": "string",
7 "state": "string"
8}
Was this page helpful?
Previous

Delete participant

Next
Built with

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Path parameters

participant_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
first_namestringOptional
last_namestringOptional
participant_numberstringOptional
emailstringOptionalformat: "email"
statestringOptional

Response

Updated participant
idstringformat: "uuid"
Unique identifier for the participant
first_namestring
First name of the participant
last_namestring
Last name of the participant
participant_numberstring
NDIS participant number
emailstringformat: "email"
Email address of the participant
statestring

State (e.g. NSW

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error